# ApplicationFramework
TKPShape
PGeom

# PGeom_Curve Class Reference

`#include <PGeom_Curve.hxx>`

Inheritance diagram for PGeom_Curve:

[legend]

## Public Member Functions

| PGeom_Curve (const Storage_stCONSTclCOM &a)
| PGeom_Curve ()
Standard_EXPORT const | Handle (Standard_Type)&DynamicType() const

## Constructor & Destructor Documentation

PGeom_Curve::PGeom_Curve | ( | const Storage_stCONSTclCOM & | a | ) | `[inline]`

PGeom_Curve::PGeom_Curve | ( |  | ) | `[inline]`

## Member Function Documentation

Standard_EXPORT const PGeom_Curve::Handle | ( | Standard_Type |  | ) | const

| Reimplemented from PGeom_Geometry. Reimplemented in PGeom_BezierCurve, PGeom_BoundedCurve, PGeom_BSplineCurve, PGeom_Circle, PGeom_Conic, PGeom_Ellipse, PGeom_Hyperbola, PGeom_Line, PGeom_OffsetCurve, PGeom_Parabola, and PGeom_TrimmedCurve.

The documentation for this class was generated from the following file:

- PGeom_Curve.hxx